#
# spec file for package python-python-vlc
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-python-vlc
Version:        3.0.21203
Release:        1.2
Summary:        VLC bindings for python
License:        LGPL-2.0-or-later
Group:          Development/Languages/Python
URL:            http://wiki.videolan.org/PythonBinding
Source:         https://files.pythonhosted.org/packages/source/p/python-vlc/python_vlc-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  vlc-devel
Requires:       libvlc5 >= 3.0.0
BuildArch:      noarch
%python_subpackages

%description
VLC bindings for python.

This module provides ctypes-based bindings for the native libvlc API
(see http://wiki.videolan.org/LibVLC) of the VLC video player.

%prep
%autosetup -p1 -n python_vlc-%{version}
sed -i -e '1{\,^#! %{_bindir}/python,d}' vlc.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license COPYING
%doc README.module
%{python_sitelib}/*

%changelog
* Tue Oct  8 2024 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.21203 (no changelog)
- Drop fix-docs.patch (no longer needed)
* Sat Nov  4 2023 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.20123 (no changelog)
* Wed Apr 19 2023 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.18122 (no changelog)
* Sat Dec  3 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 3.0.18121
  No Changelog
* Tue Mar  1 2022 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.16120 (no changelog supplied)
* Wed Apr 21 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.12118 (no changelog supplied)
* Thu Apr  8 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.12117 (no changelog supplied)
* Sat Jul 25 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.11115 (no changelog supplied)
* Wed Apr 29 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.9113 (no changelog supplied)
* Sat Aug  3 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.7110 (no changelog supplied)
* Fri Apr 19 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.0.6109 (no changelog supplied)
* Wed Dec 19 2018 aloisio@gmx.com
- Update to version 3.0.4106 (no changelog supplied)
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue May  8 2018 aloisio@gmx.com
- Update to version 3.0.102 (no changelog supplied)
* Mon Feb 12 2018 aloisio@gmx.com
- Update to version 3.0.101
- Refreshed fix-docs.patch
* Sun Dec  3 2017 aloisio@gmx.com
- Added libvlc5 as runtime requirement
* Fri Nov 10 2017 alarrosa@suse.com
- Update to version 2.2.6100:
  * Python bindings: fix regexp to handle deprecated APIs
  * Rename gtkvlc.py to gtk2vlc.py (using old pygtk2 version)
  * Gtk3 example
  * python bindings generator: handle bitshifted chars in enums
  * python-vlc: allow to specify lib and plugin path
  * python bindings: update generator version number
  * Python bindings: update generated bindings for 2.2 and dev. versions
  * python bindings: configure logging module when running standalone
  * python bindings: refactor, move template files to their own directory
  * Generate an appropriate PyPI installer package for the generated module
* Tue Sep  5 2017 alarrosa@suse.com
- Initial release of python-python-vlc 1.1.2
